package com.gyee.dataadapter.dao;

import com.gyee.dataadapter.entity.PointData;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface IHistoryDao {
    Map<String, PointData> getLatest(String tagNames);
    Map<String, PointData> getLatest(String... tagNames);
    List<PointData> getHistoryRaw(String tagName, Date startTime, Date endTime);
    List<PointData> getHistoryRaw(String tagName, long startTs, long endTs);
    List<PointData> getHistorySnap(String tagName, long startTs, long endTs, Integer interval);
    List<PointData> getHistorySnap(String tagName, Date startTime, Date endTime, Integer interval);
    List<PointData> getHistoryStat(String tagName, Date startTime, Date endTime, Integer interval, Integer type);
    PointData getHistoryStat0(String tagName, Date startTime, Date endTime, Integer type);
    boolean writeLatest(List<PointData> dataList);
    boolean writeLatest(PointData data);
    Map<String, PointData> getHistorySection(long ts, String tagNames);
    Map<String, PointData> getHistorySection(Date time, String tagNames);
}
